Bug 28354 - /usr/lib/rhs/printconf/jetdirectprint isn't installed
/usr/lib/rhs/printconf/jetdirectprint isn't installed
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-19 17:59 EST by per Reedtz Thomsen
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-21 10:06:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description per Reedtz Thomsen 2001-02-19 17:59:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0-0.99.11smp i686; en-US; 0.8)

When installing a JetDirect printer, it doesn't print. I believe that it is
because the /usr/lib/rhs/printconf/jetdirectprint executable can't be found.

Reproducible: Always
Steps to Reproduce:
1. Run printconf-gui (or printtool)
2. Add a new printer. Make it a JetDirect printer.
3. Print a test page.

Actual Results:  Notice that no page is printed.

Expected Results:  The test page was expected.

If I try to add a JetDirect printer to my printcap using printconf-gui, the
entry in /etc/printcap looks like this:

:if=/usr/lib/rhs/printconf/magicfilter filter.cfg

but an 'ls -l' of /usr/lib/rhs/printconf gives:

[root@mostro pthomsen]# ls -l /usr/lib/rhs/printconf
total 496
drwxr-xr-x 2 root root 49152 Feb 10 18:08 data
-rwxr--r-- 1 root root 8913 Jan 25 12:21 import_printtool_queues.py
-rwxr-xr-x 1 root root 34988 Jan 25 12:21 magicfilter
-rwxr-xr-x 1 root root 554 Jan 25 12:21 make_mf_cfg.pl
-rw-r--r-- 1 root root 135624 Jan 25 12:21 mf.magic
-rwxr-xr-x 1 root root 18237 Jan 25 12:21 mfomatic
-rw-r--r-- 1 root root 62934 Jan 25 12:21 printconf-gui.glade
-rw-r--r-- 1 root root 158255 Jan 25 12:21 printer_db.pickle
-rwxr-xr-x 1 root root 4112 Jan 25 12:21 textonly
[root@mostro pthomsen]#

Printing the test pages (both ASCII and PostScript) doesn't work.

If I telnet to the printer's port 9100, and print something, it works OK.
Comment 1 Glen Foster 2001-02-21 10:06:30 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Crutcher Dunnavant 2001-02-21 22:24:58 EST

Note You need to log in before you can comment on or make changes to this bug.